package nova.traffic.been;

import java.util.List;

/**
 * 设置定时策略
 */
public class TimingPolicy {
    //播放
    public static final int  TYPE_PLAY = 0;
    //jq-01继电器，本板继电器
    public static final int  TYPE_JQ01 = 1;
    //音量
    public static final int  TYPE_VOLUME = 2;
    //开关屏
    public static final int  TYPE_POWER = 3;
    //亮度
    public static final int  TYPE_BRIGHTNESS = 4;
    //重启
    public static final int  TYPE_REBOOT=5;




    /**
     * 定时类型
     */
    private int type;
    /**
     * 生效日期
     */
    private long effectiveDate;
    /**
     * 失效日期
     */
    private long expirationDate;
    /**
     * 数据
     */
    private List<Data> dataList;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public List<Data> getDataList() {
        return dataList;
    }

    public void setDataList(List<Data> dataList) {
        this.dataList = dataList;
    }

    public long getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(long effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public long getExpirationDate() {
        return expirationDate;
    }

    public void setExpirationDate(long expirationDate) {
        this.expirationDate = expirationDate;
    }

    public static class Data{

        /**
         * 时：分：秒转换成的时间戳
         */
        private String time;
        /**
         * 规则类型
         * 0:每天，1：按星期；2：特殊日期
         */
        private int policyType;
        /**
         * 规则（字符串）
         * 	每天：不用填
         * 	星期：1-7（星期日到六） eg:1,2,3代表星期日、一、二
         * 	特殊日期：  eg:10-1,2,3,4
         */
        private String policyData;
        /**
         * 任务要执行的参数值
         * 亮度、音量、节目id、亮度（0-255）、开关屏（0：关，1：开）
         */
        private String value;

        public int getPolicyType() {
            return policyType;
        }

        public void setPolicyType(int policyType) {
            this.policyType = policyType;
        }

        public String getPolicyData() {
            return policyData;
        }

        public void setPolicyData(String policyData) {
            this.policyData = policyData;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }

        public String getTime() {
            return time;
        }

        public void setTime(String time) {
            this.time = time;
        }

    }



    @Override
    public String toString() {
        return "TimingPolicy{" +
                "type=" + type +
                ", effectiveDate=" + effectiveDate +
                ", expirationDate=" + expirationDate +
                ", dataList=" + dataList +
                '}';
    }
}

