package nova.traffic.media;

public abstract class BaseMedia {

    protected transient int index;

    protected int x, y, width, height;

    protected transient int duration;

    public BaseMedia() {
    }

    /**
     * 引入时间参数，防止媒体出现时间设置为空的情况
     * @param duration
     */
    public BaseMedia setDuration(int duration) {
        this.duration = duration;
        return this;
    }

    /**
     * 创建指令
     *
     * @return String 指令码
     */
    public abstract String createProtocol();

    protected void baseMedia(BaseMediaBuild builder) {
        index = builder.index;
        x = builder.x;
        y = builder.y;
        width = builder.width;
        height = builder.height;
        duration = builder.duration;
    }


}
