package nova.traffic.media;

public abstract class BaseMediaBuild {
    protected int index;
    protected int x = 0;
    protected int y = 0;
    protected int width = 0;
    protected int height = 0;
    protected int duration = 100; //默认1s

    public BaseMediaBuild() {

    }

    /**
     * 节目的播放顺序
     *
     * @param index 播放顺序
     * @return BaseMediaBuild
     */
    public BaseMediaBuild index(int index) {
        this.index = index;
        return this;
    }

    /**
     *
     *
     * @param x 显示区域左上角的 x 坐标
     * @return BaseMediaBuild
     */
    public BaseMediaBuild x(int x) {
        this.x = x;
        return this;
    }

    /**
     *
     *
     * @param y 显示区域左上角的 y 坐标
     * @return BaseMediaBuild
     */
    public BaseMediaBuild y(int y) {
        this.y = y;
        return this;
    }

    /**
     *
     *
     * @param width 显示区域宽度，单位像素
     * @return BaseMediaBuild
     */
    public BaseMediaBuild width(int width) {
        this.width = width;
        return this;
    }

    /**
     *
     *
     * @param height 显示区域高度，单位像素
     * @return BaseMediaBuild
     */
    public BaseMediaBuild height(int height) {
        this.height = height;
        return this;
    }

    /**
     * 媒体播放时长,默认值为100
     *
     * @param duration protected修饰，不对外暴露
     * @return BaseMediaBuild
     */
    protected BaseMediaBuild duration(int duration) {
        this.duration = duration;
        return this;
    }

    /**
     * 创建命名String
     *
     * @return BaseMedia
     */
    public abstract BaseMedia build();


}
