package nova.traffic.media;

import java.util.HashMap;
import java.util.Map;

/**
 * 数字时钟
 */
public class DClockMedia extends BaseMedia {
    protected String font;
    protected int textSize, fontStyle;
    protected String alignmentH = "0", alignmentV = "0";
    protected String lineSpace = "1";
    protected int wordSpace = 0;
    protected String textColor, backGroundColor;
    protected String effect = "0", speed = "2";
    protected int playCount = 1;
    protected String text;


    private String showFourYear;
    private String showFormat;
    private String showYear;
    private String showMonth;
    private String showDay;
    private String showHour;
    private String showMinute;
    private String showSecond;
    private String showWeek;
    private String singleLine;
    private String timezoneID;
    private String timezoneOffset;
    private String charWeek;
    private String dateFormat;

    public DClockMedia(DClockMediaBuild builder) {
        baseMedia(builder);
        font = builder.font;
        textSize = builder.textSize;
        fontStyle = builder.fontStyle;
        alignmentH = builder.alignmentH;
        alignmentV = builder.alignmentV;
        lineSpace = builder.lineSpace;
        wordSpace = builder.wordSpace;
        textColor = builder.textColor;
        backGroundColor = builder.backGroundColor;
        playCount = builder.playCount;
        singleLine = builder.singleLine;
        showYear = builder.showYear;
        showMonth = builder.showMonth;
        showDay = builder.showDay;
        showHour = builder.showHour;
        showMinute = builder.showMinute;
        showSecond = builder.showSecond;
        showWeek = builder.showWeek;
        dateFormat = builder.dateFormat;
        timezoneID = builder.timezoneID;
        timezoneOffset = builder.timezoneOffset;
        showFourYear = builder.showFourYear;
        showFormat = builder.showFormat;
        charWeek = builder.charWeek;
    }

    @Override
    public String createProtocol() {

        //0, 0, 0, 0, 100, 1, 8, 1616, 3, 0, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, Asia / Shanghai, GMT + 08:00, 星期日 | 星期一 | 星期二 | 星期三 | 星期四 | 星期五 | 星期六, $yyyy($hh)$mm, ,
        Map<Integer, String> map = new HashMap<>();
        map.put(0, x + "");
        map.put(1, y + "");
        map.put(2, width + "");
        map.put(3, height + "");
        map.put(4, duration + "");
        map.put(5, textColor);
        map.put(6, backGroundColor);
        map.put(7, textSize + "");
        map.put(8, font + "");
        map.put(9, fontStyle + "");
        map.put(10, showFourYear + "");
        map.put(11, showFormat);
        map.put(12, showYear);
        map.put(13, showMonth);
        map.put(14, showDay);
        map.put(15, showHour);
        map.put(16, showMinute);
        map.put(17, showSecond);
        map.put(18, showWeek);
        map.put(19, singleLine);
        map.put(20, playCount + "");
        map.put(21, timezoneID);
        map.put(22, timezoneOffset);
        map.put(23, charWeek);
        map.put(24, dateFormat);
        map.put(25, "");
        map.put(26, "");
        StringBuffer protocolBuffer = new StringBuffer();
        protocolBuffer.append("time").append(index).append("=");
        map.forEach((k, v) -> {
            protocolBuffer.append(v);
            if (k != 26) {
                protocolBuffer.append(",");
            }
        });
        return protocolBuffer.toString();
    }


}
