package nova.traffic.media;

public final class GifMediaBuilder extends BaseMediaBuild {


     String filePath;
     int playCount = 1;
     String backGroundColor = "8";

    @Override
    public GifMediaBuilder x(int x) {
        return (GifMediaBuilder) super.x(x);
    }

    @Override
    public GifMediaBuilder y(int y) {
        return (GifMediaBuilder) super.y(y);
    }

    @Override
    public GifMediaBuilder width(int width) {
        return (GifMediaBuilder) super.width(width);
    }

    @Override
    public GifMediaBuilder height(int height) {
        return (GifMediaBuilder) super.height(height);
    }

    /**
     *
     *
     * @param filePath 文件源地址
     * @return GifMediaBuilder
     */
    public GifMediaBuilder filePath(String filePath) {
        this.filePath = filePath;
        return this;
    }

    /**
     * 播放次数 gif 媒体播放次数。
     *
     * @param playCount 1-255
     * @return GifMediaBuilder
     */
    public GifMediaBuilder playCount(int playCount) {
        this.playCount = playCount;
        return this;
    }

    /**
     * 字符显示区域背景颜色。
     *
     * @param backGroundColor 1-红色
     *                        2-绿色
     *                        3-蓝色
     *                        4-黄色
     *                        5-紫色
     *                        6-青色
     *                        7-白色
     *                        8-黑色
     *                        可以使用 RGB 定义，
     *                        如 FF0000 表示红色
     * @return GifMediaBuilder
     */
    public GifMediaBuilder backGroundColor(String backGroundColor) {
        this.backGroundColor = backGroundColor;
        return this;
    }

    public String getFilePath() {
        return filePath;
    }

    @Override
    public BaseMedia build() {
        return new GifMedia(this);
    }
}
