package nova.traffic.media;

import java.util.ArrayList;
import java.util.List;

public final class ItemMediaBuilder {

    List<BaseMedia> itemMedia;
    int duration = 100; //设置100为默认值，可提前调整
    int index = 1;

    String screenIn = "1";
    String screenOut = "1";
    String screenSpeed = "1";
    String flashSpeed = "0";
    String flashCount = "5";
    String playCount = "1";

    public ItemMediaBuilder() {
        itemMedia = new ArrayList<>();
    }


    /**
     * 添加媒体build需要先把item参数构造完成，负责时间设置会出现异常
     * @param mediaBuild
     * @return
     */
    public ItemMediaBuilder addBuilderMedia(BaseMediaBuild mediaBuild) {

        //可在此处扩展公共参数，每个媒体的私有参数，请在创建媒体build的时候扩展
        mediaBuild.index(index);
        /*注释掉，时间在最后一步创建协议的时候传入
        mediaBuild.duration(duration);
        */
        BaseMedia media = mediaBuild.build();
        itemMedia.add(media);
        index++;
        return this;
    }

    /**
     *
     *
     * @param duration 媒体播放时长,默认值为100ms,即0.1s
     * @return ItemMediaBuilder
     */
    public ItemMediaBuilder duration(int duration) {
        this.duration = duration;
        return this;
    }

    /**
     *
     *
     * @param index 仅仅作为实时更新使用，其他请使用默认的index自增方案
     * @return  ItemMediaBuilder
     */
    public ItemMediaBuilder itemIndex(int index) {
        this.index = index;
        return this;
    }

    public ItemMedia builder() {
        return new ItemMedia(this);
    }


}
