package nova.traffic.media;

import nova.traffic.media.help.MediaAllStrategyImpl;
import nova.traffic.media.help.OnMediaStrategyImp;

import java.util.ArrayList;
import java.util.List;

public final class PlayBuilder {

    List<ItemMedia> itemListMedia;  //播放节目集合
    String pushProtocol; //播放节目对应的直接指令
    int id;
    OnMediaStrategyImp imp=new MediaAllStrategyImpl();


    public PlayBuilder() {
        itemListMedia = new ArrayList<>();
    }

    /**
     *
     *
     * @param builder 添加一个页面
     * @return PlayBuilder
     */
    public PlayBuilder addBuilderItem(ItemMediaBuilder builder) {
        ItemMedia itemMedia = builder.builder();
        itemListMedia.add(itemMedia);
        return this;
    }

    /**
     *
     * @param pushProtocol 添加指令
     * @return PlayBuilder
     */
    public PlayBuilder addProtocolBuilder(String pushProtocol) {
        this.pushProtocol = pushProtocol;
        return this;
    }

    /**
     *
     * @param id 节目id
     * @return PlayBuilder
     */
    public PlayBuilder Id(int id) {
        this.id = id;
        return this;
    }

    /**
     *
     *
     * @param imp 设置指令策略
     * @return PlayBuilder
     */
    public PlayBuilder mediaStrategyImp(OnMediaStrategyImp imp) {
        this.imp = imp;
        return this;
    }


    public PlayMedia builder() {
        return new PlayMedia(this);
    }

}
