package nova.traffic.media;

import nova.traffic.media.help.OnMediaStrategyImp;

import java.util.ArrayList;
import java.util.List;

public class PlayMedia {

    private List<ItemMedia> itemListMedia;
    private int id;  //节目id
    private String pushProtocol;
    private OnMediaStrategyImp imp;

    public PlayMedia(PlayBuilder builder) {
        this.itemListMedia = builder.itemListMedia;
        this.pushProtocol = builder.pushProtocol;
        this.id = builder.id;
        this.imp = builder.imp;
    }

    public String createProtocol() {
        //1.优先执行item方式添加命令
        if (!itemListMedia.isEmpty()) {
            //设置一个策略，区分不同指令类型
            String protocol = imp.createProtocol(itemListMedia);

            return protocol;
        } else if (null != pushProtocol /*其他条件可通过正则校验*/) {
            //如果直接发送指令。则直接发送指令
            return pushProtocol;
        } else {
            throw new NullPointerException("param error");
        }
    }

    /**
     * 获取当前节目id
     *
     * @return 当前节目id
     */
    public int getId() {
        return id;
    }

    /**
     * 获取一个节目下的所有待上传文件
     *
     * @return play下的媒体文件
     */
    public List<String> getMediaFileList() {
        List<String> list = new ArrayList<>();
        itemListMedia.forEach(itemMedia -> {
            List<String> mediaFileList = itemMedia.getMediaFileList();
            list.addAll(mediaFileList);
        });
        return list;

    }


}
