package nova.traffic.media;

import java.util.ArrayList;
import java.util.List;

public class RoadMediaBuilder extends BaseMediaBuild {
    protected List<BaseRoute> baseRoutes;
    protected String backgroundColor="8";



    public RoadMediaBuilder() {
        baseRoutes = new ArrayList<>();
    }

    @Override
    public BaseMedia build() {
        return new RoadMedia(this);
    }


    @Override
    public RoadMediaBuilder x(int x) {
        return (RoadMediaBuilder) super.x(x);
    }

    @Override
    public RoadMediaBuilder y(int y) {
        return (RoadMediaBuilder) super.y(y);
    }

    @Override
    public RoadMediaBuilder width(int width) {
        return (RoadMediaBuilder) super.width(width);
    }

    @Override
    public RoadMediaBuilder height(int height) {
        return (RoadMediaBuilder) super.height(height);
    }
    public RoadMediaBuilder backgroundColor(String backgroundColor) {
        this.backgroundColor = backgroundColor;
        return this;
    }
    /**
     * 添加底图信息
     * @param baseRoute
     * @return
     */
    public RoadMediaBuilder addBaseRoute(BaseRoute baseRoute) {
        baseRoutes.add(baseRoute);
        return this;
    }

}
