package nova.traffic.media;

/**
 * 普通文本媒体
 */
public class TextMedia extends BaseMedia {

    private String font = "1";
    private int textSize = 1616;
    private String textColor = "1", backGroundColor = "8";
    private String flash;
    private String text;
    private int fontStyle = 0;
    private int wordSpace = 0;
    private int alignmentDirection = 0;


    public TextMedia(TextMediaBuilder builder) {

        baseMedia(builder);
        font = builder.font;
        textSize = builder.textSize;
        textColor = builder.textColor;
        backGroundColor = builder.backGroundColor;
        flash = builder.flash;
        text = builder.text;
        fontStyle = builder.fontStyle;
        wordSpace = builder.wordSpace;
        alignmentDirection = builder.alignmentDirection;

    }

    @Override
    public String createProtocol() {
        String protocol1 = "txt" + index + "="
                + x + ","
                + y + ","
                + font + ","
                + textSize + ","
                + textColor + ","
                + backGroundColor + ","
                + flash + ","
                + text + ","
                + width + ","
                + height + ","
                + fontStyle;
        String protocol2 = "txtparam" + index + "="
                + wordSpace + ","
                + alignmentDirection;
        return protocol1 + "\n" + protocol2;
    }


}
