package nova.traffic.media;

import java.util.HashMap;
import java.util.Map;

/**
 * 扩展文本媒体
 */
public class TextPlusMedia extends BaseMedia {

    private String font;
    private int textSize, fontStyle;
    private String alignmentH = "0", alignmentV = "0";
    private String lineSpace = "1";
    private int wordSpace = 0;
    private String textColor, backGroundColor;
    private String effect = "0", speed = "2";
    private int playCount = 1;
    private String text;
    private int isPlayTextVoice = 0, synchronizePlay = 0;
    private int voiceSound = 0;
    private int volume = 0;
    private int voiceSpeed = 0;
    private int intonation = 0;


    public TextPlusMedia(TextPlusBuilder builder) {

        baseMedia(builder);
        font = builder.font;
        textSize = builder.textSize;
        fontStyle = builder.fontStyle;
        alignmentH = builder.alignmentH;
        alignmentV = builder.alignmentV;
        lineSpace = builder.lineSpace;
        wordSpace = builder.wordSpace;
        textColor = builder.textColor;
        backGroundColor = builder.backGroundColor;
        effect = builder.effect;
        speed = builder.speed;
        playCount = builder.playCount;
        text = builder.text;
        isPlayTextVoice = builder.isPlayTextVoice;
        synchronizePlay = builder.synchronizePlay;
        voiceSound = builder.voiceSound;
        volume = builder.volume;
        voiceSpeed = builder.voiceSpeed;
        intonation = builder.intonation;

    }

    @Override
    public String createProtocol() {
        Map<Integer, String> map = new HashMap<>();
        map.put(0, x + "");
        map.put(1, y + "");
        map.put(2, width + "");
        map.put(3, height + "");
        map.put(4, font);
        map.put(5, textSize + "");
        map.put(6, fontStyle + "");
        map.put(7, alignmentH);
        map.put(8, alignmentV);
        map.put(9, lineSpace);
        map.put(10, wordSpace + "");
        map.put(11, textColor);
        map.put(12, backGroundColor);
        map.put(13, effect);
        map.put(14, speed);
        map.put(15, duration + "");
        map.put(16, playCount + "");
        map.put(17, text);
        map.put(18, isPlayTextVoice > 0 ? "1" : isPlayTextVoice + "");
        map.put(19, synchronizePlay > 0 ? "1" : isPlayTextVoice + "");
        map.put(20, voiceSound + "");
        map.put(21, volume + "");
        map.put(22, voiceSpeed + "");
        map.put(23, intonation + "");
        StringBuffer protocolBuffer=new StringBuffer();
        protocolBuffer.append("txtext").append(index).append("=");
        map.forEach((k,v)->{
            protocolBuffer.append(v);
            if (k!=23){
                protocolBuffer.append(",");
            }
        });
        return protocolBuffer.toString();
    }

}
