package nova.traffic.media;

public final class VideoMediaBuilder extends BaseMediaBuild {


    String filePath = "";
    int playCount = 1;

    @Override
    public VideoMediaBuilder x(int x) {
        return (VideoMediaBuilder) super.x(x);
    }

    @Override
    public VideoMediaBuilder y(int y) {
        return (VideoMediaBuilder) super.y(y);
    }

    @Override
    public VideoMediaBuilder width(int width) {
        return (VideoMediaBuilder) super.width(width);
    }

    @Override
    public VideoMediaBuilder height(int height) {
        return (VideoMediaBuilder) super.height(height);
    }

    /**
     * 播放文件源路径，需要上传
     *
     * @param filePath  文件路径
     * @return 媒体build
     */
    public VideoMediaBuilder filePath(String filePath) {
        this.filePath = filePath;
        return this;
    }

    /**
     * 播放次数
     *
     * @param playCount 【1-255】
     * @return 媒体build
     */
    public VideoMediaBuilder playCount(int playCount) {
        this.playCount = playCount;
        return this;
    }


    @Override
    public BaseMedia build() {
        return new VideoMedia(this);
    }
}
