package nova.traffic.media.manage;

import nova.traffic.media.*;
import nova.traffic.utils.NovaTraffic;

import java.util.Scanner;

/**
 * 公交列车（广告播放（可自定义内容 demo中使用视频+图片的组合） + 智慧导航（自定义内容，demo中使用图片））
 */
public class BusPlay {

    public static void main(String[] args) {
        NovaTraffic novaTraffic = new NovaTraffic("172.18.175.70", 5000);


        sendAdvertPlay(novaTraffic);

        Scanner scanner = new Scanner(System.in);
        while (true) {
            int sc = scanner.nextInt();
            if (sc<0) {
                //移除局部更新
                novaTraffic.removeLocalUpdate(1);
            } else if (sc>0) {
                sendArrival(novaTraffic);
            }else {
                break;
            }

        }


    }

    private static int sendAdvertPlay(NovaTraffic novaTraffic) {

        //创建一个playBuild（节目）
        PlayBuilder playBuild = new PlayBuilder();
        //创建一个image的build对象
        VideoMediaBuilder videoMediaBuilder = new VideoMediaBuilder();
        ImageMediaBuilder imageMediaBuilder = new ImageMediaBuilder();
        //通过build构建image媒体参数
        videoMediaBuilder.filePath("C:\\Users\\Nova004157\\Pictures\\image\\video.mp4");
        imageMediaBuilder.filePath("C:\\Users\\Nova004157\\Pictures\\image\\advert01.jpg");

        PlayManager playManage = new PlayManager(playBuild, novaTraffic);
        playBuild.Id(1)
                .addBuilderItem(new ItemMediaBuilder().addBuilderMedia(videoMediaBuilder).duration(10))
                .addBuilderItem(new ItemMediaBuilder().addBuilderMedia(imageMediaBuilder).duration(100));
        return playManage.play();


    }

    /**
     * 车道协同信息节目
     */
    private static int sendArrival(NovaTraffic novaTraffic) {

        //创建一个playBuild（节目）
        PlayBuilder playBuild = new PlayBuilder();


        ImageMediaBuilder imageMediaBuilder = new ImageMediaBuilder();
        //通过build构建image媒体参数
        imageMediaBuilder.filePath("C:\\Users\\Nova004157\\Pictures\\image\\advert01.jpg");

        PlayManager playManage = new PlayManager(playBuild, novaTraffic);
        playBuild.Id(1)
                .addBuilderItem(new ItemMediaBuilder().addBuilderMedia(imageMediaBuilder).duration(5000));
        return playManage.regionUpdate();


    }


}
