package nova.traffic.media.manage;

import nova.traffic.media.*;
import nova.traffic.utils.NovaTraffic;
import nova.traffic.utils.NovaTrafficImp;

/**
 * 火车站 汽车站解决方案（滚动播放车次信息）
 */
public class StationPlay {


    private static String[] index1;
    private static String[] index2;
    private static String[] index3;
    private static String[] index4;
    private static String[] index5;
    private static String[] index6;
    private static int itemTime;


    public static void main(String[] args) {
        initData();
        NovaTraffic novaTraffic = new NovaTraffic("192.168.0.108", 5000);
        sendStationPlay(novaTraffic);
        sendRegionUpdate(novaTraffic);
    }

    private static void initData() {
        int n = 20;
        itemTime = n * 20;
        //设置最后一条空数据，防止导航窗口占用位置，显示不全
        index1 = new String[n + 1];
        index2 = new String[n + 1];
        index3 = new String[n + 1];
        index4 = new String[n + 1];
        index5 = new String[n + 1];
        index6 = new String[n + 1];
        for (int i = 0; i < n; i++) {
            index1[i] = "北京-上海" + (i + 1);
            index2[i] = "8:" + (10 + i);
            index3[i] = "正常";
            index4[i] = i + "";
            index5[i] = i + "";
            index6[i] = i + "";
        }

    }


    /**
     * 标题+表格内容
     *
     * @param novaTraffic NovaTraffic
     */
    public static void sendStationPlay(NovaTrafficImp novaTraffic) {
        //创建一个item build（页面）
        ItemMediaBuilder itemBuild = new ItemMediaBuilder();
        //创建一个playBuild（节目）
        PlayBuilder playBuild = new PlayBuilder();
        //标题
        TextPlusBuilder titleTextBuild = new TextPlusBuilder();
        titleTextBuild.text("客运中心 航班实时售票信息").alignmentH("2").fontStyle(1).textSize(20).y(10);
        //表格
        TableMediaBuilder mediaBuilder = new TableMediaBuilder();

        mediaBuilder
                .x(40)
                .y(40)
                .width(1200)
                .height(112)//105
                .yxDate2DArray(new String[][]{
                        index1
                        , index2
                        , index3
                        , index4
                        , index5
                        , index6
                }) //设置表格数据
                //只能同时显示一种效果，每个表格背景格子的颜色
//                .yxDate2DArray(new String[][]{{"西安-北京", "8:30", "正常", "无", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"}, {"标题", "1", "4"}, {"标题", "1", "4"}, {"标题", "1", "4"}, {"标题", "3", "4"}, {"标题", "3", "4"}, {"标题", "3", "4"}, {"标题", "3", "4"}, {"标题", "3", "4"}}) //设置表格数据
                .backGroundColor("8")
                .isShowXSequence(true)  //显示表格的x序列号
                .xTableWidthArray(new int[]{122, 97, 92, 97, 97, 97, 97, 97, 97, 97, 97, 97})
                .yTableHeightArray(new int[]{20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20})
                //航线  开航时间  状态 船舶名称  贵宾舱票价  贵宾舱余票   上舱票价   上舱余票   中下舱票价   中下舱余票   普舱票价   普舱余票
                .xSequenceDateArray(new String[]{"航线", "开航时间", "状态", "船舶名称", "票价", "余票"}) //自定义序列号
                .xSequenceFontSize(14)
                .xSequenceFontColor("7")
                .xSequenceFontStyle(0)
                .xSequenceFontName("3")
                .sequenceGridColor("000000")
                .sequenceGridWidth(1)
                .horizontalPadding(40) //文字表格间距(h)
                .verticalPadding(3)  // 文字表格间距(v)
                .contentFontColor("7")
                .contentFontSize(20)
                .contentGridColor("000000")//000000
                .contentGridWidth(1)
                .contentFontStyle(0)
                .contentFontName(3)
                .animationType("1")
                .animationValue("0.8")
                .animationWaitValue(itemTime * 10 + "")
                .useDB(false); //默认不使用数据库，如果使用数据库需要将该处设置为true，并且添加上数据的服务器、数据表等信息

        playBuild.Id(1).addBuilderItem(itemBuild.addBuilderMedia(titleTextBuild).addBuilderMedia(mediaBuilder).duration(10000000));
        PlayManager playManage = new PlayManager(playBuild, novaTraffic);
        playManage.play();

    }


    /**
     * 底部窗口导航使用实时更新
     *
     * @param novaTraffic novaTraffic
     */
    public static void sendRegionUpdate(NovaTrafficImp novaTraffic) {

        //创建一个item build（页面）
        ItemMediaBuilder itemBuild = new ItemMediaBuilder();

        //创建一个playBuild（节目）
        PlayBuilder playBuild = new PlayBuilder();

        //标题
        TextPlusBuilder window1 = new TextPlusBuilder();
        TextPlusBuilder window2 = new TextPlusBuilder();
        TextPlusBuilder window3 = new TextPlusBuilder();
        window1.text("窗口关闭").fontStyle(1).textSize(18).width(400).height(30)./*x(100).y(130)*/alignmentH("2").alignmentV("2").y(130);
        window2.text("窗口关闭").fontStyle(1).textSize(18).width(400).height(30).alignmentH("2").alignmentV("2").y(130).x(400);
        window3.text("正常售票").fontStyle(1).textSize(18).width(400).height(30).alignmentH("2").alignmentV("2").y(130).x(800).textColor("2");

        playBuild.Id(1).addBuilderItem(itemBuild.addBuilderMedia(window1).addBuilderMedia(window2).addBuilderMedia(window3).duration(100).itemIndex(1));
        PlayManager playManage = new PlayManager(playBuild, novaTraffic);
        playManage.regionUpdate();

    }





}
