package nova.traffic.task;

import nova.traffic.fileserver.Callback;
import nova.traffic.fileserver.FileServer;
import nova.traffic.utils.LogUtil;

public class FileReceiveTask implements Callback {
	private String id;
	private String savePath;
	private String fileName;
	private Object clock = new Object();
	private boolean isSuccess = false;
	public FileReceiveTask(String savePath,String fileName) {
		this.savePath = savePath;
		this.fileName = fileName;
	}
	public boolean prepare() {
		if(!FileServer.getInstance().isInit()){
			return false;
		}
		id = FileServer.getInstance().receiveFile(savePath);
		if(null != id) {
			FileServer.getInstance().addCallback(id,this);
			return true;
		}
		return false;
	}
	public String getId() {
		return id;
	}
	public void release() {
		if(id != null) {
			FileServer.getInstance().removeCallback(id);
		}
	}
	public boolean receive(long timeOut) {
		 synchronized (clock) {
			 try {
				clock.wait(timeOut);
			} catch (Exception e) {
				 LogUtil.log("receive"+e.toString());
				 Thread.currentThread().interrupt();
			}
		}
		return isSuccess;
	}
	@Override
	public void onReceive(String tag, String filePath) {
		if(id != null && id.equals(tag)) {
			isSuccess = true;
			synchronized (clock) {
				clock.notifyAll();
			}
		}
	}
}
