package nova.traffic.test;

import nova.traffic.server.NovaDevice;
import nova.traffic.utils.LogConfig;
import nova.traffic.utils.LogUtil;
import nova.traffic.utils.NovaTraffic;
import nova.traffic.utils.NovaTrafficServer;

import java.util.Scanner;

public class ClientTest {

    public static void main(String[] args) {
        start();
    }

    public static void start() {
        LogConfig.debug = true;
        LogConfig.logFilePath = "F:\\JavaSdkLog\\log.txt";
        String clientIp = "192.168.0.100"; //客户端（发送卡）ip
        int port = 5000; //客户端（发送卡）端口
        //第一步：开启服务端通道
        /*ClientChannel socketChannel = new ClientChannel();
        boolean b = socketChannel.open();
        if(b) {
            LogUtil.log("通道已开启");
        }else {
            LogUtil.log("通道开启失败");
            return;
        }
        //第二步：设置客户端通道，负责与指定客户端收发消息
        NovaDevice channel = new NovaDevice(clientIp, port);
        NovaDevice.ConnectListener connectListener = new NovaDevice.ConnectListener() {
            @Override
            public void onDisconnect(NovaDevice channel,String ip) {
                LogUtil.log("设备"+ip+"断开连接");
            }
            @Override
            public void onConnected(NovaDevice channel,String ip) {
                LogUtil.log("设备"+ip+"连接成功，可以开始接口请求了");
                test(channel);
            }

            @Override
            public void onReceivedHeartBeat(NovaDevice channel, String ip) {
                LogUtil.log("设备心跳："+channel.toString());
            }
        };
        channel.setConnectListener(connectListener);
        //第三步：开始监听客户端连接
        b = channel.listen(socketChannel);
        if(b) {
            LogUtil.log("监听成功");
        }else {
            LogUtil.log("监听失败");
            return;
        }*/
        //第四步：创建NovaTrafficServer实例
        NovaTraffic novaTraffic = new NovaTraffic(clientIp, port);
        while (true) {
            LogUtil.log("请输入功能编号进行测试：");
            try {
                int what= new Scanner(System.in).nextInt();
                NovaTrafficTest.excute(novaTraffic, what);
            } catch (Exception e) {
                LogUtil.log(e.toString());
                break;
            }
        }
    }

    private static void  test(final NovaDevice channel) {
        new Thread(new Runnable() {

            @Override
            public void run() {
                long count = 0;
                NovaTrafficServer novaTraffic = new NovaTrafficServer(channel);
                System.out.print("开始测试");
                while (true) {
                    count++;
                    String content = "[all]\r\n" +
                            "items=1\r\n" +
                            "[item-1]\r\n" +
                            "param=100,1,1,1,0,5,1,0,1\r\n" +
                            "txt1=100,100,3,3636,1,8,0,"+count+",0,0,0\r\n" +
                            "txtparam1=0,0";

                    int ret = novaTraffic.sendLocalUpdate(1, content);
                    if(ret != 1) {
                        System.out.print(count +" 失败  "+ret );
                    }
                    try {
                        Thread.sleep(10);
                    } catch (Exception e) {
                        LogUtil.log(e.toString());
                        Thread.currentThread().interrupt();
                        break;
                    }
                }

            }
        }).start();
    }

}
