package nova.traffic.test;

import nova.traffic.server.NovaDevice;
import nova.traffic.server.ServerChannel;
import nova.traffic.utils.LogConfig;
import nova.traffic.utils.LogUtil;
import nova.traffic.utils.NovaTraffic;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * 公网测试，板子作为客户端接入，用于公网多设备调试
 */
public class NovaNetTest {

    public static void main(String[] args) throws UnknownHostException {

        InetAddress localHost = InetAddress.getLocalHost();
        String hostAddress = localHost.getHostAddress();
        LogUtil.log(hostAddress);
        start(hostAddress, 12008);



    }


    public static void start(String ip, int port) {
        LogConfig.debug=true;
        String serverIp = ip; //服务端ip
        int serverPort = port;
        ServerChannel serverChannel = new ServerChannel();
        serverChannel.setClientConnectListener(new NovaDevice.ConnectListener() {
            @Override
            public void onDisconnect(NovaDevice client, String ip) {
                LogUtil.logInfo("客户端" + client.getDeviceName() + "断开连接");
            }

            @Override
            public void onConnected(NovaDevice client, String ip) {
                String deviceName = client.getDeviceName();
                LogUtil.logInfo(deviceName + "连接成功");
                NovaMulDevice.getInstance(serverChannel).addDeviceToPlay(client);
                NovaTraffic traffic = new NovaTraffic(client.getSocketChannel());
                System.out.println(traffic.getDeviceName());
            }

            @Override
            public void onReceivedHeartBeat(NovaDevice channel, String ip) {
                LogUtil.log("设备心跳："+channel.toString());
            }
        });
        boolean b = serverChannel.open(serverIp, serverPort);
        if (b) {
            LogUtil.logInfo("服务端通道已开启");
        } else {
            LogUtil.logInfo("服务端通道开启失败");
            return;
        }
        NovaMulDevice.getInstance(serverChannel).start();

//        File file = NovaMulDevSendManage.getInstance(serverChannel).getFile();
//        LogUtil.log(file.getPath());

    }


}
