package nova.traffic.test;

import nova.traffic.been.*;
import nova.traffic.fileserver.FileServer;
import nova.traffic.media.manage.PlayTest;
import nova.traffic.task.ProgressBean;
import nova.traffic.utils.LogUtil;
import nova.traffic.utils.NovaTraffic;
import nova.traffic.utils.NovaTrafficServer;

import java.io.File;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.TimeZone;

public class NovaTrafficTest {


    static String content = "[all]\r\n" +
            "items=1\r\n" +
            "[item1]\r\n" +
            "param=100,1,1,1,0,5,1,0,1\r\n" +
            "txtext1=0,0,0,0,SimSun,14,0,2,2,0,0,ffffff,00000000,0,1,100,1,中国队\\\\n加油,0,0,0,0,0,0";
    static String localContent = "[all]\r\n" +
            "items=1\r\n" +
            "[item-1]\r\n" +
            "param=100,1,1,1,0,5,1,0,1\r\n" +
//			"txtext1=0,0,0,0,3,1616,0,0,0,1,0,1,8,13,1,100,1,走马灯测试,0,0,0,5,5,5";
            "txtext1=0,70,85,29,微软雅黑,1616,0,2,2,1,0,7,8,13,0,100,1,设备调试,0,0,0,5,5,5";

    static void excute(NovaTrafficServer novaTraffic, int what)  {
        int id = 1;
        String str = "";
        int code = 0;


        switch (what) {
            case 0:
                code = novaTraffic.setDeviceName("诺瓦科技");
                LogUtil.log("设置名称：" + toStr(code));
                break;
            case 1:
                String name = novaTraffic.getDeviceName();
                LogUtil.log("获取名称：" + name);
                break;
            case 2:
                code = novaTraffic.playListById(1);
                LogUtil.log("指定播放：" + toStr(code));
                break;
            case 3:
                code = PlayTest.sendRegionUpdate(novaTraffic);
//				code = novaTraffic.sendLocalUpdate(1,localContent);
                LogUtil.log("局部更新：" + toStr(code));
                break;
            case 4:
                code = novaTraffic.removeLocalUpdate(1);

                LogUtil.log("移除局部更新：" + toStr(code));
                break;
            case 5:
                //下载文件时间较长，要将超时时间加长
                novaTraffic.getClientDevice().setTimeOut(20 * 1000);
//                code = novaTraffic.sendFile(new File("C:\\Users\\Nova004157\\Pictures\\image\\1.jpg"), "1.jpg");
                code = novaTraffic.sendFile(new File("C:\\Users\\Nova004157\\Documents\\cz\\play001.lst"), "play001.lst");
                LogUtil.log("发送文件：" + toStr(code));
                novaTraffic.getClientDevice().setTimeOut(10 * 1000);
                break;
            case 6:
                code = novaTraffic.setBrightness(20);
                LogUtil.log("手动调节亮度：" + toStr(code));
                break;
            case 7:
                code = novaTraffic.setPower(false);

                LogUtil.log("关屏：" + toStr(code));
                break;
            case 8:
                code = novaTraffic.setPower(true);
                LogUtil.log("开屏：" + toStr(code));
                break;
            case 9:
                code = novaTraffic.cleanUpFiles(0);
                LogUtil.log("清理文件：" + toStr(code));
                break;
            case 10:
                str = novaTraffic.getSurveil();
                LogUtil.log("getSurveil:" + str);
                break;
            case 11:
                List<BrightnessItem> brightnessItem = new ArrayList<BrightnessItem>();
                for (int i = 0; i < 8; i++) {
                    BrightnessItem item = new BrightnessItem(10 * i, 10 * i);
                    brightnessItem.add(item);
                }
                code = novaTraffic.setBrightnessAuto(brightnessItem);
                LogUtil.log("设置自动亮度:" + toStr(code));
                break;
            case 12:
                brightnessItem = novaTraffic.getBrightnessAuto();
                LogUtil.log("获取自动亮度:" + (brightnessItem == null ? "失败" : brightnessItem.toString()));
                break;
            case 13:
                code = novaTraffic.setBoardPowerAndScreenPower(true);
                LogUtil.log("控制本板电源和屏幕黑屏:" + toStr(code));
                break;
            case 14:
                code = novaTraffic.setBoardPower(true);
                LogUtil.log("控制本板电源:" + toStr(code));
                break;
            case 15:
                code = novaTraffic.setMultiFunctionCardPower(0, 0, true);
                LogUtil.log("控制多功能卡电源:" + toStr(code));
                break;
            case 16:
                DeviceType type = novaTraffic.getDeviceType();
                LogUtil.log("获取控制卡状态结果:" + (type == null ? "失败" : type.toString()));
                break;
            case 17:
                code = novaTraffic.setTime(new Date());
                LogUtil.log("设置时间:" + toStr(code));
                break;
            case 18:
			code = novaTraffic.restartDevice();
			LogUtil.log("重启设备:"+toStr(code));
                break;
            case 19:
                str = novaTraffic.getDeviceVersion();
                LogUtil.log("获取控制卡版本:" + str);
                break;
            case 20:
//			DeviceNetBasicParam mDeviceNetBasicParam = new DeviceNetBasicParam("192.168.0.222",8080,
//			"255.255.255.0","192.168.0.1","192.168.0.102");
//			novaTraffic.setDeviceNetBasicParam(mDeviceNetBasicParam);
//			LogUtil.log("设置屏体基本参数");
                break;
            case 21:
//			String key = "abcdefgh";
//			DeviceSecretParam mDeviceSecretParam = new DeviceSecretParam("123456", false, false,key );
//			code = novaTraffic.setDeviceSecretParam(mDeviceSecretParam);
//			if(code == 1) {
//				novaTraffic.getClientDevice().setDesKey(key);
//			}
//			LogUtil.log("设置设备加密:"+toStr(code));
                break;
            case 22:
                //升级文件
//			novaTraffic.updateFileName();
                break;
            case 23:
                //移除app
//			novaTraffic.removeAppPageName();
                break;
            case 24:
                DeviceSize deviceSize = novaTraffic.getDeviceSize();
                LogUtil.log("获取屏幕尺寸（宽高）:" + (deviceSize == null ? "失败" : deviceSize.toString()));
                break;
            case 25:
                code = novaTraffic.setDeviceVolume(100);
                LogUtil.log("设置音量:" + toStr(code));
                break;
            case 26:
                code = novaTraffic.getDeviceVolume();
                LogUtil.log("获取音量:" + code);
                break;
            case 27:
                DeviceMemorySize deviceMemorySize = novaTraffic.getDeviceMemorySize();
                LogUtil.log("获取设备空间:" + (deviceMemorySize == null ? "失败" : deviceMemorySize.toString()));
                break;
            case 28:
                TimeZoneParam mTimeZoneParam = new TimeZoneParam((long) (new Date().getTime()), "Asia/Shanghai", "GMT+08:00");
                code = novaTraffic.setTimeAndTimeZone(mTimeZoneParam);
                LogUtil.log("设置时区:" + toStr(code));
                break;
            case 29:
                mTimeZoneParam = novaTraffic.getTimeAndTimeZone();
                LogUtil.log("获取时区:" + (mTimeZoneParam == null ? "失败" : mTimeZoneParam.toString()));
                break;
            case 30:
                DeviceNTPParam mDeviceNTPParam = new DeviceNTPParam(true, "www.baidu.com");
                code = novaTraffic.setDeviceNTPParam(mDeviceNTPParam);
                LogUtil.log("设置ntp对时参数:" + toStr(code));
                break;
            case 31:
                mDeviceNTPParam = novaTraffic.getDeviceNTPParam();
                LogUtil.log("获取ntp对时参数:" + toStr(mDeviceNTPParam));
                break;
            case 32:
                code = novaTraffic.setCloseScreenTemperature(80);
                LogUtil.log("设置屏体关闭温度:" + toStr(code));
                break;
            case 33:
                code = novaTraffic.getCloseScreenTemperature();
                LogUtil.log("获取屏体关闭温度:" + toStr(code));
                break;
            case 34:
                code = novaTraffic.setVirtualConnection(false, 50, 1);
                LogUtil.log("设置虚连接播放文件:" + toStr(code));
                break;
            case 35:
                DeviceNowPlayItem item = novaTraffic.getNowPlayContent();
                LogUtil.log("获取当前播放内容:" + toStr(item));
                break;
            case 36:
                code = novaTraffic.sendFtpDownloadaddress("FTP://u  :123456@192.168.0.100:21/1.txt");
                LogUtil.log("返回错误码:" + toStr(code));
                break;
            case 37:
                DeviceNowPlayList playList = novaTraffic.getNowPlayAllContent();
                LogUtil.log("获取当前播放内容:" + toStr(playList));
                break;
            case 38:
                str = novaTraffic.getPlayListContent(id);
                LogUtil.log("获取指定id全部内容:" + toStr(str));
                break;
            case 39:
                code = novaTraffic.getDeviceScreenshot("F:\\JavaSdk\\bin\\截图" + System.currentTimeMillis() + ".jpg");
                LogUtil.log("截图:" + toStr(code));

                //新版本截图方案：该方案需要配合JT-1.9.3.0616 以上版本使用，主要是提高了截图回传的速度
                //调用文件服务时必须初始化
//                if (!FileServer.getInstance().isInit()) {
//                    FileServer.getInstance().init("192.168.0.100", 8081);
//                }
//                boolean screenshot2 = novaTraffic.getDeviceScreenshot2();
//                if (screenshot2) {
//                    boolean bShot = novaTraffic.getMediaFile("D:\\test\\shot.jpg", "../cache/screenShots/screenshot.jpg", 6000);
//                    LogUtil.log("获取媒体文件：" + (bShot ? "成功" : "失败"));
//                }

                break;
            case 40:
                code = novaTraffic.setDevicePowerByTimeList(getDevicePowerByTimeListParam());
                LogUtil.log("设置定时开屏列表:" + toStr(code));
                break;
            case 41:
                List<DevicePowerByTimeParam> timeParams = novaTraffic.getDevicePowerByTimeList();
                LogUtil.log("获取定时开屏列表:" + toStr(timeParams));
                break;
            case 42:
                code = novaTraffic.setPlayByTimeList(null);
                LogUtil.log("设置\\清理定时播放列表:" + toStr(code));
                break;
            case 43:
                List<PlayByTimeParam> playByTimeParams = novaTraffic.getPlayByTimeList();
                LogUtil.log("获取定时播放列表:" + toStr(playByTimeParams));
                break;
            case 44:
                code = novaTraffic.setBrightnessByTimeList(null);
                LogUtil.log("设置\\清理定时亮度列表:" + toStr(code));
                break;
            case 45:
                List<BrightnessByTimeParam> brightnessByTimeParams = novaTraffic.getBrightnessByTimeList();
                LogUtil.log("获取定时亮度列表:" + toStr(brightnessByTimeParams));
                break;
            case 46:
                str = novaTraffic.getSpotCheckBadBlockInfo();
                LogUtil.log("获取坏块信息:" + str);
                break;
            case 47:
                code = novaTraffic.setRelayPowers(true, true, true, true);
                LogUtil.log("开关继电器状态:" + toStr(code));
                break;
            case 48:
                str = novaTraffic.getRDSRoad();
                LogUtil.log("获取路网图:" + str);
                break;
            case 49:
                List<Integer> list = novaTraffic.getAllPlaylistId();
                LogUtil.log("获取卡上全部播放列表:" + toStr(list));
                break;
            case 50:
                code = novaTraffic.sendPlayList(id, content);
                LogUtil.log("播放：" + toStr(code));
                break;
            case 51:
                //下载文件时间较长，要将超时时间加长
                novaTraffic.getClientDevice().setTimeOut(120 * 1000);
                List<DownloadFileParam> filelist = new ArrayList<DownloadFileParam>();
//                filelist.add(new DownloadFileParam("1.jpg", "https://www.novastar-led.cn/uploads/20200720/5503a0e73492c3bbd163cc7957897483.jpg", true));
//                filelist.add(new DownloadFileParam("2.jpg", "https://www.novastar-led.cn/uploads/20200608/d7ab635040d2ecfc0f3b18aa30e0664d.jpg", true));
//                filelist.add(new DownloadFileParam("3.png", "https://www.novastar-led.cn/uploads/20200908/cfeafccda837cd363d092d1b9f0866b2.jpg", true));
//                filelist.add(new DownloadFileParam("test.exe", "https://download-gcdn.ej-technologies.com/jprofiler/jprofiler_windows-x64_9_2_1.exe",true));
                filelist.add(new DownloadFileParam("111.mp4", "https://jht-oss-test123.oss-cn-shenzhen.aliyuncs.com/nova/cfb62f7c7bc0f57710db450039f6f37a.mp4", true));
                code = novaTraffic.downloadFiles(filelist, new nova.traffic.task.ProgressCallback() {
                    @Override
                    public void onProgress(ProgressBean bean) {
                        LogUtil.log("进度信息：" + toStr(bean));
                    }
                });
                novaTraffic.getClientDevice().setTimeOut(10 * 1000);
                LogUtil.log("下载文件：" + toStr(code));
                break;
            case 52:
                //定时音量
                List<VolumeByTimeParam> volumeByTimeParams = new ArrayList<VolumeByTimeParam>();
                Date start = new Date(2020 - 1900, 9 - 1, 10, 17, 03, 00);
                Date end = new Date(2020 - 1900, 10 - 1, 10, 18, 27, 00);
                volumeByTimeParams.add(new VolumeByTimeParam(start, end, 50));
                code = novaTraffic.setTimingVolumeParam(volumeByTimeParams);
                LogUtil.log("设置定时音量：" + toStr(code));
                break;
            case 53:
                //定时音量
                List<VolumeByTimeParam> volumeByTimeParams2 = novaTraffic.getTimingVolumeParam();
                LogUtil.log("获取定时音量：" + toStr(volumeByTimeParams2));
                break;
            case 54:
                code = novaTraffic.deletePlaylistById(1);
                LogUtil.log("删除指定节目：" + toStr(code));
                break;
            case 55:
                byte[] mac = novaTraffic.getMac();
                LogUtil.log("获取mac：" + (mac == null ? "失败" : "成功"));
                break;
            case 56:
                code = novaTraffic.deleteMeidaFile("012.bmp");
                LogUtil.log("删除媒体文件：" + toStr(code));
                break;
            case 57:
                //调用文件服务时必须初始化
                if (!FileServer.getInstance().isInit()) {
                    FileServer.getInstance().init("192.168.0.102", 8081);
                }
                boolean b;
                b = novaTraffic.getMediaFile("F:\\JavaSdk\\bin\\1.gif", "test.gif", 10 * 1000L);
                LogUtil.log("获取媒体文件：" + (b ? "成功" : "失败"));
                break;
            case 58:
                List<String> mediaList = novaTraffic.getAllMediaFileName();
                LogUtil.log("获取媒体文件列表：" + toStr(mediaList));
                break;
            case 59:
                //上传文件时间较长，要将超时时间加长
                novaTraffic.getClientDevice().setTimeOut(20 * 1000);
                List<UploadFileParam> fileParams = new ArrayList<UploadFileParam>();
                fileParams.add(new UploadFileParam("play006.lst", "http://192.168.0.100/uploadTest/", 0));
                fileParams.add(new UploadFileParam("NovaTraffic.log.1", "http://192.168.0.100/uploadTest/", 3));
                fileParams.add(new UploadFileParam("NovaTraffic.log.2", "http://192.168.0.100/uploadTest/", 3));
                fileParams.add(new UploadFileParam("NovaTraffic.log.3", "http://192.168.0.100/uploadTest/", 3));
                fileParams.add(new UploadFileParam("NovaTraffic.log.4", "http://192.168.0.100/uploadTest/", 3));
                fileParams.add(new UploadFileParam("NovaTraffic.log.5", "http://192.168.0.100/uploadTest/", 3));
                fileParams.add(new UploadFileParam("NovaTraffic.log.6", "http://192.168.0.100/uploadTest/", 3));
                fileParams.add(new UploadFileParam("NovaTraffic.log.7", "http://192.168.0.100/uploadTest/", 3));
                code = novaTraffic.uploadFilesByHttp(fileParams, new nova.traffic.task.ProgressCallback() {
                    @Override
                    public void onProgress(ProgressBean bean) {
                        LogUtil.log("进度信息：" + toStr(bean));
                    }
                });
                novaTraffic.getClientDevice().setTimeOut(10 * 1000);
                LogUtil.log("上传文件：" + toStr(code));
                break;
            case 60:
                List<String> fileList = novaTraffic.getFileNamesByType(3);
                LogUtil.log("获取文件列表：" + toStr(fileList));
                break;
            case 61:
                code = novaTraffic.getScreenStatus();
                LogUtil.log("获取屏幕状态：" + (code == 1 ? "开屏" : "关屏"));
                break;
            case 62:
                b = novaTraffic.setSyncPlay(false);
                LogUtil.log("设置同步播放：" + b);
                break;
            case 63:
                b = novaTraffic.getSyncPlay();
                LogUtil.log("同步播放：" + b);
                break;
            case 64:
                String snCode = novaTraffic.getSN();
                LogUtil.log("SN：" + snCode);
                break;

            case 65:
                BrightnessBean brightnessParam = novaTraffic.getBrightnessParam();
                LogUtil.log("获取屏幕mode和亮度 brightnessParam: " + brightnessParam.toString());
                break;
            case 66:
                String pingAddress = novaTraffic.getPingAddress();
                LogUtil.log("pingAddress: " + pingAddress);

                break;
            case 67:
                int i = novaTraffic.setPingAddress("www.sohu.com");
                LogUtil.log("设置地址 : " + (i==1));

                break;
            case 68:
                int res = novaTraffic.solidify((byte) 0);
                LogUtil.log("固化 : " + (res==1));
                break;

            default:
                break;
        }


    }

    static void excute(NovaTraffic novaTraffic, int what)  {
        int id = 1;
        String str = "";
        int code = 0;


        switch (what) {
            case 0:
                code = novaTraffic.setDeviceName("诺瓦科技");
                LogUtil.log("设置名称：" + toStr(code));
                break;
            case 1:
                String name = novaTraffic.getDeviceName();
                LogUtil.log("获取名称：" + name);
                break;
            case 2:
                code = novaTraffic.playListById(1);
                LogUtil.log("指定播放：" + toStr(code));
                break;
            case 3:
                code = PlayTest.sendRegionUpdate(novaTraffic);
//				code = novaTraffic.sendLocalUpdate(1,localContent);
                LogUtil.log("局部更新：" + toStr(code));
                break;
            case 4:
                code = novaTraffic.removeLocalUpdate(1);

                LogUtil.log("移除局部更新：" + toStr(code));
                break;
            case 5:
                //下载文件时间较长，要将超时时间加长
                /*novaTraffic.getClientDevice().setTimeOut(20 * 1000);
//                code = novaTraffic.sendFile(new File("C:\\Users\\Nova004157\\Pictures\\image\\1.jpg"), "1.jpg");
                code = novaTraffic.sendFile(new File("C:\\Users\\Nova004157\\Documents\\cz\\play001.lst"), "play001.lst");
                LogUtil.log("发送文件：" + toStr(code));
                novaTraffic.getClientDevice().setTimeOut(10 * 1000);*/
                break;
            case 6:
                code = novaTraffic.setBrightness(20);
                LogUtil.log("手动调节亮度：" + toStr(code));
                break;
            case 7:
                code = novaTraffic.setPower(false);

                LogUtil.log("关屏：" + toStr(code));
                break;
            case 8:
                code = novaTraffic.setPower(true);
                LogUtil.log("开屏：" + toStr(code));
                break;
            case 9:
                code = novaTraffic.cleanUpFiles(0);
                LogUtil.log("清理文件：" + toStr(code));
                break;
            case 10:
                str = novaTraffic.getSurveil();
                LogUtil.log("getSurveil:" + str);
                break;
            case 11:
                List<BrightnessItem> brightnessItem = new ArrayList<BrightnessItem>();
                for (int i = 0; i < 8; i++) {
                    BrightnessItem item = new BrightnessItem(10 * i, 10 * i);
                    brightnessItem.add(item);
                }
                code = novaTraffic.setBrightnessAuto(brightnessItem);
                LogUtil.log("设置自动亮度:" + toStr(code));
                break;
            case 12:
                brightnessItem = novaTraffic.getBrightnessAuto();
                LogUtil.log("获取自动亮度:" + (brightnessItem == null ? "失败" : brightnessItem.toString()));
                break;
            case 13:
                code = novaTraffic.setBoardPowerAndScreenPower(true);
                LogUtil.log("控制本板电源和屏幕黑屏:" + toStr(code));
                break;
            case 14:
                code = novaTraffic.setBoardPower(true);
                LogUtil.log("控制本板电源:" + toStr(code));
                break;
            case 15:
                code = novaTraffic.setMultiFunctionCardPower(0, 0, true);
                LogUtil.log("控制多功能卡电源:" + toStr(code));
                break;
            case 16:
                DeviceType type = novaTraffic.getDeviceType();
                LogUtil.log("获取控制卡状态结果:" + (type == null ? "失败" : type.toString()));
                break;
            case 17:
                code = novaTraffic.setTime(new Date());
                LogUtil.log("设置时间:" + toStr(code));
                break;
            case 18:
			code = novaTraffic.restartDevice();
			LogUtil.log("重启设备:"+toStr(code));
                break;
            case 19:
                str = novaTraffic.getDeviceVersion();
                LogUtil.log("获取控制卡版本:" + str);
                break;
            case 20:
//			DeviceNetBasicParam mDeviceNetBasicParam = new DeviceNetBasicParam("192.168.0.222",8080,
//			"255.255.255.0","192.168.0.1","192.168.0.102");
//			novaTraffic.setDeviceNetBasicParam(mDeviceNetBasicParam);
//			LogUtil.log("设置屏体基本参数");
                break;
            case 21:
//			String key = "abcdefgh";
//			DeviceSecretParam mDeviceSecretParam = new DeviceSecretParam("123456", false, false,key );
//			code = novaTraffic.setDeviceSecretParam(mDeviceSecretParam);
//			if(code == 1) {
//				novaTraffic.getClientDevice().setDesKey(key);
//			}
//			LogUtil.log("设置设备加密:"+toStr(code));
                break;
            case 22:
                //升级文件
//			novaTraffic.updateFileName();
                break;
            case 23:
                //移除app
//			novaTraffic.removeAppPageName();
                break;
            case 24:
                DeviceSize deviceSize = novaTraffic.getDeviceSize();
                LogUtil.log("获取屏幕尺寸（宽高）:" + (deviceSize == null ? "失败" : deviceSize.toString()));
                break;
            case 25:
                code = novaTraffic.setDeviceVolume(100);
                LogUtil.log("设置音量:" + toStr(code));
                break;
            case 26:
                code = novaTraffic.getDeviceVolume();
                LogUtil.log("获取音量:" + code);
                break;
            case 27:
                DeviceMemorySize deviceMemorySize = novaTraffic.getDeviceMemorySize();
                LogUtil.log("获取设备空间:" + (deviceMemorySize == null ? "失败" : deviceMemorySize.toString()));
                break;
            case 28:
                TimeZoneParam mTimeZoneParam = new TimeZoneParam((long) (new Date().getTime()), "Asia/Shanghai", "GMT+08:00");
                code = novaTraffic.setTimeAndTimeZone(mTimeZoneParam);
                LogUtil.log("设置时区:" + toStr(code));
                break;
            case 29:
                mTimeZoneParam = novaTraffic.getTimeAndTimeZone();
                LogUtil.log("获取时区:" + (mTimeZoneParam == null ? "失败" : mTimeZoneParam.toString()));
                break;
            case 30:
                DeviceNTPParam mDeviceNTPParam = new DeviceNTPParam(true, "www.baidu.com");
                code = novaTraffic.setDeviceNTPParam(mDeviceNTPParam);
                LogUtil.log("设置ntp对时参数:" + toStr(code));
                break;
            case 31:
                mDeviceNTPParam = novaTraffic.getDeviceNTPParam();
                LogUtil.log("获取ntp对时参数:" + toStr(mDeviceNTPParam));
                break;
            case 32:
                code = novaTraffic.setCloseScreenTemperature(80);
                LogUtil.log("设置屏体关闭温度:" + toStr(code));
                break;
            case 33:
                code = novaTraffic.getCloseScreenTemperature();
                LogUtil.log("获取屏体关闭温度:" + toStr(code));
                break;
            case 34:
                code = novaTraffic.setVirtualConnection(false, 50, 1);
                LogUtil.log("设置虚连接播放文件:" + toStr(code));
                break;
            case 35:
                DeviceNowPlayItem item = novaTraffic.getNowPlayContent();
                LogUtil.log("获取当前播放内容:" + toStr(item));
                break;
            case 36:
                code = novaTraffic.sendFtpDownloadaddress("FTP://u  :123456@192.168.0.100:21/1.txt");
                LogUtil.log("返回错误码:" + toStr(code));
                break;
            case 37:
                DeviceNowPlayList playList = novaTraffic.getNowPlayAllContent();
                LogUtil.log("获取当前播放内容:" + toStr(playList));
                break;
            case 38:
                str = novaTraffic.getPlayListContent(id);
                LogUtil.log("获取指定id全部内容:" + toStr(str));
                break;
            case 39:
                code = novaTraffic.getDeviceScreenshot("F:\\JavaSdk\\bin\\截图" + System.currentTimeMillis() + ".jpg");
                LogUtil.log("截图:" + toStr(code));

                //新版本截图方案：该方案需要配合JT-1.9.3.0616 以上版本使用，主要是提高了截图回传的速度
                //调用文件服务时必须初始化
//                if (!FileServer.getInstance().isInit()) {
//                    FileServer.getInstance().init("192.168.0.100", 8081);
//                }
//                boolean screenshot2 = novaTraffic.getDeviceScreenshot2();
//                if (screenshot2) {
//                    boolean bShot = novaTraffic.getMediaFile("D:\\test\\shot.jpg", "../cache/screenShots/screenshot.jpg", 6000);
//                    LogUtil.log("获取媒体文件：" + (bShot ? "成功" : "失败"));
//                }

                break;
            case 40:
                code = novaTraffic.setDevicePowerByTimeList(getDevicePowerByTimeListParam());
                LogUtil.log("设置定时开屏列表:" + toStr(code));
                break;
            case 41:
                List<DevicePowerByTimeParam> timeParams = novaTraffic.getDevicePowerByTimeList();
                LogUtil.log("获取定时开屏列表:" + toStr(timeParams));
                break;
            case 42:
                code = novaTraffic.setPlayByTimeList(null);
                LogUtil.log("设置\\清理定时播放列表:" + toStr(code));
                break;
            case 43:
                List<PlayByTimeParam> playByTimeParams = novaTraffic.getPlayByTimeList();
                LogUtil.log("获取定时播放列表:" + toStr(playByTimeParams));
                break;
            case 44:
                code = novaTraffic.setBrightnessByTimeList(null);
                LogUtil.log("设置\\清理定时亮度列表:" + toStr(code));
                break;
            case 45:
                List<BrightnessByTimeParam> brightnessByTimeParams = novaTraffic.getBrightnessByTimeList();
                LogUtil.log("获取定时亮度列表:" + toStr(brightnessByTimeParams));
                break;
            case 46:
                str = novaTraffic.getSpotCheckBadBlockInfo();
                LogUtil.log("获取坏块信息:" + str);
                break;
            case 47:
                code = novaTraffic.setRelayPowers(true, true, true, true);
                LogUtil.log("开关继电器状态:" + toStr(code));
                break;
            case 48:
                str = novaTraffic.getRDSRoad();
                LogUtil.log("获取路网图:" + str);
                break;
            case 49:
                List<Integer> list = novaTraffic.getAllPlaylistId();
                LogUtil.log("获取卡上全部播放列表:" + toStr(list));
                break;
            case 50:
                code = novaTraffic.sendPlayList(id, content);
                LogUtil.log("播放：" + toStr(code));
                break;
            case 51:
                //下载文件时间较长，要将超时时间加长
                /*novaTraffic.getClientDevice().setTimeOut(120 * 1000);
                List<DownloadFileParam> filelist = new ArrayList<DownloadFileParam>();
//                filelist.add(new DownloadFileParam("1.jpg", "https://www.novastar-led.cn/uploads/20200720/5503a0e73492c3bbd163cc7957897483.jpg", true));
//                filelist.add(new DownloadFileParam("2.jpg", "https://www.novastar-led.cn/uploads/20200608/d7ab635040d2ecfc0f3b18aa30e0664d.jpg", true));
//                filelist.add(new DownloadFileParam("3.png", "https://www.novastar-led.cn/uploads/20200908/cfeafccda837cd363d092d1b9f0866b2.jpg", true));
//                filelist.add(new DownloadFileParam("test.exe", "https://download-gcdn.ej-technologies.com/jprofiler/jprofiler_windows-x64_9_2_1.exe",true));
                filelist.add(new DownloadFileParam("111.mp4", "https://jht-oss-test123.oss-cn-shenzhen.aliyuncs.com/nova/cfb62f7c7bc0f57710db450039f6f37a.mp4", true));
                code = novaTraffic.downloadFiles(filelist, new nova.traffic.task.ProgressCallback() {
                    @Override
                    public void onProgress(ProgressBean bean) {
                        LogUtil.log("进度信息：" + toStr(bean));
                    }
                });
                novaTraffic.getClientDevice().setTimeOut(10 * 1000);
                LogUtil.log("下载文件：" + toStr(code));*/
                break;
            case 52:
                //定时音量
                List<VolumeByTimeParam> volumeByTimeParams = new ArrayList<VolumeByTimeParam>();
                Date start = new Date(2020 - 1900, 9 - 1, 10, 17, 03, 00);
                Date end = new Date(2020 - 1900, 10 - 1, 10, 18, 27, 00);
                volumeByTimeParams.add(new VolumeByTimeParam(start, end, 50));
                code = novaTraffic.setTimingVolumeParam(volumeByTimeParams);
                LogUtil.log("设置定时音量：" + toStr(code));
                break;
            case 53:
                //定时音量
                List<VolumeByTimeParam> volumeByTimeParams2 = novaTraffic.getTimingVolumeParam();
                LogUtil.log("获取定时音量：" + toStr(volumeByTimeParams2));
                break;
            case 54:
                code = novaTraffic.deletePlaylistById(1);
                LogUtil.log("删除指定节目：" + toStr(code));
                break;
            case 55:
                byte[] mac = novaTraffic.getMac();
                LogUtil.log("获取mac：" + (mac == null ? "失败" : "成功"));
                break;
            case 56:
                code = novaTraffic.deleteMeidaFile("012.bmp");
                LogUtil.log("删除媒体文件：" + toStr(code));
                break;
            case 57:
                //调用文件服务时必须初始化
                if (!FileServer.getInstance().isInit()) {
                    FileServer.getInstance().init("192.168.0.102", 8081);
                }
                boolean b;
                b = novaTraffic.getMediaFile("F:\\JavaSdk\\bin\\1.gif", "test.gif", 10 * 1000L);
                LogUtil.log("获取媒体文件：" + (b ? "成功" : "失败"));
                break;
            case 58:
                List<String> mediaList = novaTraffic.getAllMediaFileName();
                LogUtil.log("获取媒体文件列表：" + toStr(mediaList));
                break;
            case 59:
                //上传文件时间较长，要将超时时间加长
                /*novaTraffic.getClientDevice().setTimeOut(20 * 1000);
                List<UploadFileParam> fileParams = new ArrayList<UploadFileParam>();
                fileParams.add(new UploadFileParam("play006.lst", "http://192.168.0.100/uploadTest/", 0));
                fileParams.add(new UploadFileParam("NovaTraffic.log.1", "http://192.168.0.100/uploadTest/", 3));
                fileParams.add(new UploadFileParam("NovaTraffic.log.2", "http://192.168.0.100/uploadTest/", 3));
                fileParams.add(new UploadFileParam("NovaTraffic.log.3", "http://192.168.0.100/uploadTest/", 3));
                fileParams.add(new UploadFileParam("NovaTraffic.log.4", "http://192.168.0.100/uploadTest/", 3));
                fileParams.add(new UploadFileParam("NovaTraffic.log.5", "http://192.168.0.100/uploadTest/", 3));
                fileParams.add(new UploadFileParam("NovaTraffic.log.6", "http://192.168.0.100/uploadTest/", 3));
                fileParams.add(new UploadFileParam("NovaTraffic.log.7", "http://192.168.0.100/uploadTest/", 3));
                code = novaTraffic.uploadFilesByHttp(fileParams, new nova.traffic.task.ProgressCallback() {
                    @Override
                    public void onProgress(ProgressBean bean) {
                        LogUtil.log("进度信息：" + toStr(bean));
                    }
                });
                novaTraffic.getClientDevice().setTimeOut(10 * 1000);
                LogUtil.log("上传文件：" + toStr(code));*/
                break;
            case 60:
                /*List<String> fileList = novaTraffic.getFileNamesByType(3);
                LogUtil.log("获取文件列表：" + toStr(fileList));*/
                break;
            case 61:
                code = novaTraffic.getScreenStatus();
                LogUtil.log("获取屏幕状态：" + (code == 1 ? "开屏" : "关屏"));
                break;
            case 62:
                /*b = novaTraffic.setSyncPlay(false);
                LogUtil.log("设置同步播放：" + b);*/
                break;
            case 63:
                /*b = novaTraffic.getSyncPlay();
                LogUtil.log("同步播放：" + b);*/
                break;
            case 64:
                String snCode = novaTraffic.getSN();
                LogUtil.log("SN：" + snCode);
                break;

            case 65:
                BrightnessBean brightnessParam = novaTraffic.getBrightnessParam();
                LogUtil.log("获取屏幕mode和亮度 brightnessParam: " + brightnessParam.toString());
                break;
            case 66:
                String pingAddress = novaTraffic.getPingAddress();
                LogUtil.log("pingAddress: " + pingAddress);

                break;
            case 67:
                int i = novaTraffic.setPingAddress("www.sohu.com");
                LogUtil.log("设置地址 : " + (i==1));

                break;
            case 68:
                int res = novaTraffic.solidify((byte) 1);
                LogUtil.log("固化 : " + (res==1));
                break;

            default:
                break;
        }


    }

    private static List<DevicePowerByTimeParam> getDevicePowerByTimeListParam() {
        List<DevicePowerByTimeParam> mDevicePowerByTimeParamList = new ArrayList<DevicePowerByTimeParam>();
        String startStr = "2020.1.1 00:00:00";
        String endStr = "2020.12.31 23:59:59";
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy.MM.dd HH:mm:ss");
        sdf.setTimeZone(TimeZone.getDefault());
        Date start = null;
        Date end = null;
        try {
            start = sdf.parse(startStr);
            end = sdf.parse(endStr);
        } catch (ParseException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
        DevicePowerByTimeParam mDevicePowerByTimeParam = new DevicePowerByTimeParam(start, end);
        mDevicePowerByTimeParamList.add(mDevicePowerByTimeParam);
        return mDevicePowerByTimeParamList;
    }

    private static String toStr(Object obj) {
        return obj == null ? "失败" : obj.toString();
    }

    private static String toStr(int code) {
        return code == 1 ? "成功" : ("失败： " + code);
    }

}
