package nova.traffic.utils;
import javax.crypto.Cipher;
import javax.crypto.KeyGenerator;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import java.security.SecureRandom;

/**
 * AES加密工具类
 * MD5值后16位为key,AES采用128位ECB模式,填充模式pkcs5,加密之后再base64转码
 */
public class AesUtil {

    public static byte[] encrypt(byte[] message, int offset, int length, byte[] key) throws Exception {
        try {
            KeyGenerator kgen = KeyGenerator.getInstance("AES");
            kgen.init(128);
            Cipher cipher = Cipher.getInstance("AES/ECB/PKCS5Padding");
            cipher.init(Cipher.ENCRYPT_MODE, new SecretKeySpec(key, "AES"));
            return cipher.doFinal(message,offset,length);
        } catch (Exception ex) {
            return null;
        }
    }

    public static byte[] decrypt(byte[] message, int offset, int length, byte[] key) throws Exception {
        try {
            KeyGenerator kgen = KeyGenerator.getInstance("AES");
            kgen.init(128);
            Cipher cipher = Cipher.getInstance("AES/ECB/PKCS5Padding");
            cipher.init(Cipher.DECRYPT_MODE, new SecretKeySpec(key, "AES"));
            return cipher.doFinal(message,offset,length);
        } catch (Exception ex) {
            System.out.println(ex.toString());
            return null;
        }
    }

    public static String toHex(byte[] buffer, int offset, int count) {
        StringBuilder stringBuilder = new StringBuilder();
        for (int index = offset; index < offset + count; index++) {
            String temp = Integer.toHexString(buffer[index] & 0xFF).toUpperCase();
            if (temp.length() < 2) {
                stringBuilder.append("0");
            }
            stringBuilder.append(temp).append(" ");
        }
        return stringBuilder.toString();
    }
}
