package nova.traffic.utils;

import java.io.File;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class LogUtil {
//    private static final SimpleDateFormat dayDateFormat = new SimpleDateFormat("yyyy-MM-dd");
//    private static final SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss:SSS");



    public static void logTrace(String str) {
        try {
            StackTraceElement[] elements = Thread.currentThread().getStackTrace();
            StringBuilder builder = new StringBuilder();
            if (elements != null) {
                for (StackTraceElement element : elements) {
                    builder.append(element.toString() + "\n");
                }
            }
            builder.append(str);
            log(builder.toString());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void log(String str) {
        if (!LogConfig.debug) {
            return;
        }
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss:SSS");
        SimpleDateFormat dayDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        str = dateFormat.format(new Date()) + ": " + str;
        str += "\n";
        System.out.print(str);
        String logPath = getLogPath();
        //默认保存日志到根文件目录
        if (logPath == null) {
            logPath = new File(dayDateFormat.format(new Date()) + ".log").getPath();

        }
        try {
            byte[] bytes = str.getBytes();
            FileUtils.writeFileAppend(new File(logPath), bytes, 0, bytes.length);
        } catch (Exception e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
    }

    /**
     * 单独加日志
     *
     * @param str
     */
    public static void logError(String str) {
        if (!LogConfig.debug) {
            return;
        }
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss:SSS");
        SimpleDateFormat dayDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        str = dateFormat.format(new Date()) + ": " + str;
        str += "\n";
        System.out.print(str);
        File file = new File(dayDateFormat.format(new Date()) + "_SDK_E.log");
        try {
            byte[] bytes = str.getBytes();
            FileUtils.writeFileAppend(file, bytes, 0, bytes.length);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * 单独加日志
     *
     * @param str
     */
    public static void logInfo(String str) {
        if (!LogConfig.debug) {
            return;
        }
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss:SSS");
        SimpleDateFormat dayDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        str = dateFormat.format(new Date()) + ": " + str;
        str += "\n";
        System.out.print(str);
        File file = new File(dayDateFormat.format(new Date()) + "_SDK_I.log");
        try {
            byte[] bytes = str.getBytes();
            FileUtils.writeFileAppend(file, bytes, 0, bytes.length);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private static String getLogPath() {
        String logPath = LogConfig.logFilePath;
        if (logPath == null) {
            if (LogConfig.logFileDir == null) {
                return null;
            } else {
                SimpleDateFormat dayDateFormat = new SimpleDateFormat("yyyy-MM-dd");
                File logDirFile = new File(LogConfig.logFileDir);
                if (!logDirFile.exists()) {
                    boolean ret = logDirFile.mkdirs();
                    if (ret) {
                        logPath = logDirFile.getPath() + File.separator + dayDateFormat.format(new Date()) + ".log";
                    }
                } else {
                    logPath = logDirFile.getPath() + File.separator + dayDateFormat.format(new Date()) + ".log";
                }
            }
        }
        if (logPath == null) {
            return null;
        }
        return logPath;
    }
//
//	public static void sendLog(byte[] buffer, int count) {
//		if(!LogConfig.debug) {
//			return;
//		}
//		LogUtil.log("发送数据："+byteToStr(buffer,count));
//	}
//
//
//
//	public static void sendLog(String deviceIp,byte[] buffer, int count) {
//		if(!LogConfig.debug) {
//			return;
//		}
//		LogUtil.log("发送数据到"+deviceIp+":"+byteToStr(buffer,count));
//	}

    public static String byteToStr(byte[] buffer) {
        if (buffer == null) {
            return "";
        }
        return byteToStr(buffer, buffer.length);
    }

    public static String byteToStr(byte[] buffer, int count) {
        StringBuilder stringBuilder = new StringBuilder();
        for (int index = 0; index < count; index++) {
            String temp = Integer.toHexString(buffer[index] & 0xFF).toUpperCase();
            if (temp.length() < 2) {
                stringBuilder.append("0");
            }
            stringBuilder.append(temp).append(" ");
        }
        return stringBuilder.toString();
    }
}
