package nova.traffic.utils.contract;

import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.SocketChannel;

public class SocketChannelImpl implements ISocket {

    private SocketChannel socketChannel;

    public SocketChannelImpl(SocketChannel socketChannel) {
        this.socketChannel = socketChannel;
    }

    @Override
    public boolean isClosed() {
        return socketChannel.socket().isClosed();
    }

    @Override
    public boolean isConnected() {
        return socketChannel.isConnected();
    }

    @Override
    public int write(byte[] bytes) throws IOException {
        return socketChannel.write(ByteBuffer.wrap(bytes));
    }

    @Override
    public int read(byte[] bytes, int offset, int len) throws IOException {
        ByteBuffer byteBuffer = ByteBuffer.wrap(bytes);
        return socketChannel.read(byteBuffer);
    }

    @Override
    public void close() throws IOException {
        socketChannel.close();
    }
}
