package nova.traffic.utils.contract;

import java.io.IOException;
import java.net.Socket;

/**
 * 套接字impl
 *
 * @author Nova004935
 * @date 2023/05/17
 */
public class SocketImpl implements ISocket {

    private Socket socket;

    public SocketImpl(Socket socket) {
        this.socket = socket;
    }

    @Override
    public boolean isClosed() {
        return socket.isClosed();
    }

    @Override
    public boolean isConnected() {
        return socket.isConnected();
    }

    @Override
    public int write(byte[] bytes) throws IOException {
        socket.getOutputStream().write(bytes);
        return bytes.length;
    }

    @Override
    public int read(byte[] bytes, int offset, int len) throws IOException {
        return socket.getInputStream().read(bytes, offset, len);
    }

    @Override
    public void close() throws IOException {
        socket.close();
    }
}
